GWT 2.7.0

## com.google.web.bindery.requestfactory.vm
Class InProcessRequestFactory

    java.lang.Object
      com.google.web.bindery.requestfactory.shared.impl.IdFactory
          com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory
              com.google.web.bindery.requestfactory.vm.InProcessRequestFactory

All Implemented Interfaces:
  RequestFactory

     class InProcessRequestFactory

extends com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory

A JRE-compatible implementation of RequestFactory.

Nested Class Summary
`(package private) static interface` | `InProcessRequestFactory.Factory`
`(package private) class` | `InProcessRequestFactory.RequestFactoryHandler`

Field Summary

Fields inherited from interface com.google.web.bindery.requestfactory.shared.RequestFactory
`JSON_CONTENT_TYPE_UTF8`

Constructor Summary
`InProcessRequestFactory(java.lang.Class<? extends RequestFactory> requestFactoryInterface)`

Method Summary
`protected AutoBeanFactory` | `getAutoBeanFactory()`
`com.google.web.bindery.requestfactory.vm.impl.Deobfuscator` | `getDeobfuscator()`
`java.lang.String` | `getFactoryTypeToken()`

`protected

`<P extends BaseProxy> java.lang.Class<P>`

`

`getTypeFromToken(java.lang.String typeToken)`

`protected java.lang.String` | `getTypeToken(java.lang.Class<? extends BaseProxy> clazz)`
`void` | `initialize(EventBus eventBus)` Start this request factory with a `DefaultRequestTransport` .
`boolean` | `isEntityType(java.lang.Class<?> clazz)`
`boolean` | `isValueType(java.lang.Class<?> clazz)`

Methods inherited from class com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory
`find, getEventBus, getHistoryToken, getHistoryToken, getProxyClass, getProxyId, getRequestTransport, getSerializer, hasVersionChanged, initialize`

Methods inherited from class com.google.web.bindery.requestfactory.shared.impl.IdFactory
`allocateId, allocateSyntheticId, asEntityProxy, asValueProxy, getBaseProxyId, getHistoryToken, getId, getId, getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InProcessRequestFactory

    public InProcessRequestFactory(java.lang.Class<? extends RequestFactory> requestFactoryInterface)

Method Detail

### getDeobfuscator

    public com.google.web.bindery.requestfactory.vm.impl.Deobfuscator getDeobfuscator()

### getFactoryTypeToken

    public java.lang.String getFactoryTypeToken()

  Specified by:
    `getFactoryTypeToken` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`

### initialize

    public void initialize(EventBus eventBus)

  Description copied from interface: `RequestFactory`
  Start this request factory with a `DefaultRequestTransport` .

  Specified by:
    `initialize` in interface `RequestFactory`
  Specified by:
    `initialize` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`
  Parameters:
    `eventBus` - an `EventBus`

### isEntityType

    public boolean isEntityType(java.lang.Class<?> clazz)

  Specified by:
    `isEntityType` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

### isValueType

    public boolean isValueType(java.lang.Class<?> clazz)

  Specified by:
    `isValueType` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

### getAutoBeanFactory

    protected AutoBeanFactory getAutoBeanFactory()

  Specified by:
    `getAutoBeanFactory` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`

### getTypeFromToken

    protected <P extends BaseProxy> java.lang.Class<P> getTypeFromToken(java.lang.String typeToken)

  Specified by:
    `getTypeFromToken` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

### getTypeToken

    protected java.lang.String getTypeToken(java.lang.Class<? extends BaseProxy> clazz)

  Specified by:
    `getTypeToken` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

GWT 2.7.0